Skip to content

Purchase Orders

All operations require authentication.

5 operationsv1/me/billing
Agent setup

Retrieve all purchase ordersBeta

GET
/1.0/me/billing/purchaseOrder

Query parameters

billingGroupId
integer

Billing Group Identifier

Response

200integer[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/billing/purchaseOrder \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Create a purchase orderBeta

POST
/1.0/me/billing/purchaseOrder

Request body (required)

active
boolean

Active

billingGroupId
integer

Billing Group identifier

description
string

Description

endDate
stringdate

End date

reference
required
string

Reference

startDate
required
stringdate

Start date

type
required
PurchaseOrderTypeEnum

Type of a purchase order

ValuesPURCHASE_ORDERREFERENCE_ORDER

Response

200PurchaseOrdersuccessful operation
active
read-only
boolean

Active

billingGroupId
read-only
integer

Billing Group identifier

creationDate
read-only
stringdate-time

Creation date

description
read-only
string

Description

endDate
read-only
stringdate

End date

id
read-only
integer

Purchase Order identifier

lastUpdate
read-only
stringdate-time

Last update date

reference
read-only
string

Reference

startDate
read-only
stringdate

Start date

status
read-only
StatusEnum

Status

ValuesCREATEDDELETED
type
read-only
PurchaseOrderTypeEnum

Type of a purchase order

ValuesPURCHASE_ORDERREFERENCE_ORDER

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/billing/purchaseOrder \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "active": true, "billingGroupId": 0, "creationDate": "2024-01-01T12:00:00Z", "description": "string", "endDate": "2024-01-01", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "reference": "string", "startDate": "2024-01-01", "status": "CREATED", "type": "PURCHASE_ORDER"}

Retrieve information about a purchase orderBeta

GET
/1.0/me/billing/purchaseOrder/{id}

Path parameters

id
required
integer

Id

Response

200PurchaseOrdersuccessful operation
active
read-only
boolean

Active

billingGroupId
read-only
integer

Billing Group identifier

creationDate
read-only
stringdate-time

Creation date

description
read-only
string

Description

endDate
read-only
stringdate

End date

id
read-only
integer

Purchase Order identifier

lastUpdate
read-only
stringdate-time

Last update date

reference
read-only
string

Reference

startDate
read-only
stringdate

Start date

status
read-only
StatusEnum

Status

ValuesCREATEDDELETED
type
read-only
PurchaseOrderTypeEnum

Type of a purchase order

ValuesPURCHASE_ORDERREFERENCE_ORDER

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/billing/purchaseOrder/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "active": true, "billingGroupId": 0, "creationDate": "2024-01-01T12:00:00Z", "description": "string", "endDate": "2024-01-01", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "reference": "string", "startDate": "2024-01-01", "status": "CREATED", "type": "PURCHASE_ORDER"}

Update a purchase orderBeta

PUT
/1.0/me/billing/purchaseOrder/{id}

Path parameters

id
required
integer

Id

Request body (required)

active
boolean

Active

billingGroupId
integer

Billing group identifier

description
string

Description

endDate
stringdate

End date

reference
string

Reference

startDate
stringdate

Start date

type
PurchaseOrderTypeEnum

Type of a purchase order

ValuesPURCHASE_ORDERREFERENCE_ORDER

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/billing/purchaseOrder/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a purchase orderBeta

DELETE
/1.0/me/billing/purchaseOrder/{id}

Path parameters

id
required
integer

Id

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/billing/purchaseOrder/{id} \
  -H "authorization: Bearer $OVH_TOKEN"